#ifndef DATA_PWR_H
#define DATA_PWR_H

#include "TYW_stdint.h"

void DrvMtrPwr_Reset(void);
void DrvMtrPwr_KL30_Init(void);
void DrvMtrPwr_KL15_ON_Init(void);
void DrvMtrPwr_Processing_Service(void);

uint16_t DrvMtrPwr_Get_ACT(void);
uint16_t DrvMtrPwr_Get_DISP(void);
uint16_t DrvMtrPwr_Get_CurDis(void);
uint8_t IstDrvMtrPwr_Get_Value(void);
uint8_t IstDrvMtrPwr_Get_Valid(void);
uint8_t IstDrvMtrPwr_Get_Sign(void);
uint8_t SelfTest_Status_Get(void);

#endif
